> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gengen.farm/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Kling video task

> Poll a Kling video task and read generated video URLs from the standard outputs object.



## OpenAPI

````yaml openapi/kling-video.yaml GET /contents/generations/tasks/{id}
openapi: 3.1.0
info:
  title: Kling video API
  version: 1.0.0
  description: Provider-specific GENGEN reference for Kling 3.0 video generation.
servers:
  - url: https://gengen.farm/api/gengen/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /contents/generations/tasks/{id}:
    get:
      summary: Retrieve a Kling video task
      description: >
        Retrieve normalized status for a Kling task. Poll with the same GENGEN
        API key that

        created the task. Read successful videos from `outputs.videos`.
      operationId: retrieveKlingVideoTask
      parameters:
        - name: id
          in: path
          required: true
          description: >-
            Public task ID with a `kling30turbo:`, `kling30:`, or `kling30omni:`
            prefix.
          schema:
            type: string
          example: kling30:task_123
      responses:
        '200':
          description: Current normalized task state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoTask'
              example:
                id: kling30:task_123
                model: kling-3.0
                status: succeeded
                outputs:
                  videos:
                    - https://example.com/generated.mp4
                  images: []
                updatedAt: '2026-08-31T08:01:10.000Z'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: The task was not found for this API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          $ref: '#/components/responses/RateLimited'
        default:
          $ref: '#/components/responses/UnexpectedError'
components:
  schemas:
    VideoTask:
      type: object
      required:
        - id
        - model
        - status
        - outputs
      properties:
        id:
          type: string
        model:
          type: string
          enum:
            - kling-3.0-turbo
            - kling-3.0
            - kling-3.0-omni
        status:
          type: string
          enum:
            - pending
            - queued
            - processing
            - running
            - succeeded
            - failed
            - cancelled
        outputs:
          type: object
          required:
            - videos
            - images
          properties:
            videos:
              type: array
              items:
                type: string
                format: uri
            images:
              type: array
              items:
                type: string
                format: uri
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        statusUpdateTime:
          type: string
          format: date-time
        failureReason:
          type: string
      additionalProperties: false
    Error:
      type: object
      required:
        - error_code
        - error
      properties:
        error_code:
          type: string
        error:
          type: string
        error_params:
          type: object
          additionalProperties: true
  responses:
    Unauthorized:
      description: The GENGEN bearer token is missing or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimited:
      description: Kling or GENGEN rate or concurrency capacity was exceeded.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    UnexpectedError:
      description: GENGEN or Kling could not complete the request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: GENGEN API key
      description: A workspace API key beginning with `gengen_live_`.

````